Bug 843524 - Evince fails to load any dvi file
Evince fails to load any dvi file
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: evince (Show other bugs)
7.0
x86_64 Linux
unspecified Severity high
: beta
: ---
Assigned To: Marek Kašík
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-26 10:27 EDT by Vitezslav Humpa
Modified: 2014-06-18 04:11 EDT (History)
4 users (show)

See Also:
Fixed In Version: evince-3.6.1-4.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:53:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vitezslav Humpa 2012-07-26 10:27:55 EDT
Description of problem:
Empathy fails loading any of the DVI documents I've tried. It doesn't crash, merely doesn't open the document. This is a sample terminal output at the time of opening:

--------------------
warning: Configuration file texmf.cnf not found! Searched these directories:
/usr/bin:/usr:/:/usr/bin/share/texmf-local/web2c:/usr/share/texmf-local/web2c://share/texmf-local/web2c:/usr/bin/texmf-local/web2c:/usr/texmf-local/web2c://texmf-local/web2c:/etc/texmf/web2c:/usr/local/share/texmf/web2c:/usr/share/texmf/web2c:/usr/share/texmf/web2c
Trying to proceed...
kpathsea: Running mktexpk --mfmode / --bdpi 600 --mag 1+0/600 --dpi 600 cmtt12
mktexpk: No such file or directory
kpathsea: Appending font creation commands to missfont.log.
page: Warning: font `cmtt12' at 600x600 not found, trying `cmr10' instead
kpathsea: Running mktexpk --mfmode / --bdpi 600 --mag 1+0/600 --dpi 600 cmr10
mktexpk: No such file or directory
page: Warning: font `cmtt12' not found, trying metric files instead
kpathsea: Running mkofm cmtt12
mkofm: No such file or directory
kpathsea: Running mktextfm cmtt12
mktextfm: No such file or directory
page: Warning: metric file for `cmtt12' not found, trying `cmr10' instead
kpathsea: Running mkofm cmr10
mkofm: No such file or directory
kpathsea: Running mktextfm cmr10
mktextfm: No such file or directory
page: Error: could not load font `cmtt12'
warning: Configuration file texmf.cnf not found! Searched these directories:
/usr/bin:/usr:/:/usr/bin/share/texmf-local/web2c:/usr/share/texmf-local/web2c://share/texmf-local/web2c:/usr/bin/texmf-local/web2c:/usr/texmf-local/web2c://texmf-local/web2c:/etc/texmf/web2c:/usr/local/share/texmf/web2c:/usr/share/texmf/web2c:/usr/share/texmf/web2c
Trying to proceed...
kpathsea: Running mktexpk --mfmode / --bdpi 600 --mag 1+0/600 --dpi 600 cmtt12
mktexpk: No such file or directory
kpathsea: Appending font creation commands to missfont.log.
page: Warning: font `cmtt12' at 600x600 not found, trying `cmr10' instead
kpathsea: Running mktexpk --mfmode / --bdpi 600 --mag 1+0/600 --dpi 600 cmr10
mktexpk: No such file or directory
page: Warning: font `cmtt12' not found, trying metric files instead
kpathsea: Running mkofm cmtt12
mkofm: No such file or directory
kpathsea: Running mktextfm cmtt12
mktextfm: No such file or directory
page: Warning: metric file for `cmtt12' not found, trying `cmr10' instead
kpathsea: Running mkofm cmr10
mkofm: No such file or directory
kpathsea: Running mktextfm cmr10
mktextfm: No such file or directory
page: Error: could not load font `cmtt12'

(evince:26716): EvinceView-CRITICAL **: ev_document_model_set_document: assertion `EV_IS_DOCUMENT (document)' failed

** (evince:26716): CRITICAL **: ev_sidebar_page_support_document: assertion `EV_IS_DOCUMENT (document)' failed

(evince:26716): EvinceDocument-CRITICAL **: ev_document_get_n_pages: assertion `EV_IS_DOCUMENT (document)' failed

(evince:26716): EvinceDocument-CRITICAL **: ev_document_get_max_page_size: assertion `EV_IS_DOCUMENT (document)' failed
-------------------------------------


Version-Release number of selected component (if applicable):
evince-dvi-3.4.0-2.el7.x86_64
evince-3.4.0-2.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Run evince
2. Open some DVI file
  
Actual results:
Nothing happens, evince stays running without any document and produces the aforementioned output.

Expected results:
Dvi file loads as expected
Comment 1 Vitezslav Humpa 2012-07-26 11:05:51 EDT
Sorry, should be 'evince' on the first line of c#0.
Comment 2 Matthias Clasen 2012-10-17 17:03:27 EDT
Do you have the necessary Computer Modern fonts installed ?
What does rpm -q texlive say ?
evince-dvi only pulls in the libraries that it needs, not the whole humongous texlive. But without fonts, the documents won't display...
Comment 3 Vitezslav Humpa 2012-10-18 09:22:16 EDT
Indeed, installed texlive-texmf-fonts and dvi loads fine now. Just installing evince-dvi without texlive, the situation is the same. Perhaps evince-dvi package should depend on these fonts?
Comment 4 Matthias Clasen 2012-10-18 13:10:32 EDT
perhaps, but

rpm -q --qf "%{SIZE}\n" texlive-texmf-fonts
112642974

not small
Comment 5 Matthias Clasen 2012-11-02 22:20:33 EDT
given that evince-dvi is a subpackage, we should just add the required dependency to make it work.
Comment 6 Marek Kašík 2012-11-06 06:48:14 EST
I'll add the dependency to f18 and will merge it into rhel7 as soon as the new texlive will be correctly built in rhel7 (texlive 2012).
Comment 8 Marek Kašík 2012-11-14 11:01:11 EST
I've added the dependency to evince-dvi package.
Comment 9 Michael Boisvert 2013-12-04 11:22:57 EST
I tested opening a sample dvi file, and it worked correctly without installing any extra packages. evince-dvi was included during the install process of RHEL7 meaning the dependency was added correctly. 

Verified.
Comment 10 Ludek Smid 2014-06-13 07:53:14 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.